Package org.apache.qpid.proton.codec

# Interface ByteBufferEncoder

All Superinterfaces:
  `Encoder`

All Known Implementing Classes:
  `EncoderImpl`

public interface ByteBufferEncoder extends Encoder

## Method Summary

Modifier and Type
Method
Description
`void`
`setByteBuffer(ByteBuffer buf)`

### Methods inherited from interface org.apache.qpid.proton.codec.Encoder

`getType, register, writeArray, writeArray, writeArray, writeArray, writeArray, writeArray, writeArray, writeArray, writeArray, writeBinary, writeBoolean, writeBoolean, writeByte, writeByte, writeCharacter, writeCharacter, writeDecimal128, writeDecimal32, writeDecimal64, writeDescribedType, writeDouble, writeDouble, writeFloat, writeFloat, writeInteger, writeInteger, writeList, writeLong, writeLong, writeMap, writeNull, writeObject, writeShort, writeShort, writeString, writeSymbol, writeTimestamp, writeTimestamp, writeUnsignedByte, writeUnsignedInteger, writeUnsignedLong, writeUnsignedShort, writeUUID`

## Method Details

### setByteBuffer

void setByteBuffer(ByteBuffer buf)